Get User

List every user, or look up users by login ID.

This method allows you to get details of one or more users in Saner Server. It only requires login ID of users. If no name is provided, all users’ details are fetched.

KeyMeaningMandatoryData Type
idLogin ID of the user to fetch details. If not provided, all users are returned.Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.User.get(
    id=["[email protected]","[email protected]"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json